Loading...
Searching...
No Matches
BALL::ElectrostaticPotentialCalculator Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/electrostaticPotentialCalculator.h>`

## Classes

struct | Option
struct | Default

## Public Member Functions

Constructors and Destructors
| ElectrostaticPotentialCalculator ()
| ElectrostaticPotentialCalculator (const ElectrostaticPotentialCalculator &epc)
virtual | ~ElectrostaticPotentialCalculator ()
Assignment
void | apply (System &S)
void | setFragmentDB (const FragmentDB *db)
const FragmentDB * | getFragmentDB () const
Accessors
float | operator() (const Vector3 &pos)

## Public Attributes

Options
Options | options

## Protected Attributes

Protected Attributes.
System | mySys_
FragmentDB * | frag_db_
AssignRadiusProcessor | radii_
AssignChargeProcessor | charges_

## Detailed Description

This class is used to compute the electrostatic potential for of a system. It is intended that several different models will be implemented. Right now, the only model is the nonlocal electrostatic potential of a sum of Born ions. Dont forget to set the FragmentDB before using this class.

Definition at line 33 of file electrostaticPotentialCalculator.h.

## Constructor & Destructor Documentation

## ElectrostaticPotentialCalculator() [1/2]

BALL::ElectrostaticPotentialCalculator::ElectrostaticPotentialCalculator | ( |  | ) |

Default constructor

## ElectrostaticPotentialCalculator() [2/2]

BALL::ElectrostaticPotentialCalculator::ElectrostaticPotentialCalculator | ( | const ElectrostaticPotentialCalculator & | epc | ) |

Copy constructor

## ~ElectrostaticPotentialCalculator()

virtual BALL::ElectrostaticPotentialCalculator::~ElectrostaticPotentialCalculator | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## apply()

void BALL::ElectrostaticPotentialCalculator::apply | ( | System & | S | ) |

Apply the current model to the System S and prepare everything for a calculation.

Exceptions

  NullPointer | if FragmentDB is not set
  BALL::Exception::NullPointer |

## getFragmentDB()

const FragmentDB * BALL::ElectrostaticPotentialCalculator::getFragmentDB | ( |  | ) | const

## operator()()

float BALL::ElectrostaticPotentialCalculator::operator() | ( | const Vector3 & | pos | ) |

Returns the electrostatic potential at position pos.

## setFragmentDB()

void BALL::ElectrostaticPotentialCalculator::setFragmentDB | ( | const FragmentDB * | db | ) |

## Member Data Documentation

## charges_

AssignChargeProcessor BALL::ElectrostaticPotentialCalculator::charges_

protected

Definition at line 129 of file electrostaticPotentialCalculator.h.

## frag_db_

FragmentDB* BALL::ElectrostaticPotentialCalculator::frag_db_

protected

Definition at line 125 of file electrostaticPotentialCalculator.h.

## mySys_

System BALL::ElectrostaticPotentialCalculator::mySys_

protected

Definition at line 123 of file electrostaticPotentialCalculator.h.

## options

Options BALL::ElectrostaticPotentialCalculator::options

Options for the calculation of the electrostatic potential.

Definition at line 115 of file electrostaticPotentialCalculator.h.

## radii_

AssignRadiusProcessor BALL::ElectrostaticPotentialCalculator::radii_

protected

Definition at line 127 of file electrostaticPotentialCalculator.h.